Subject: Re: [net-next PATCH v1 3/9] netdev-genl: spec: Extend netdev netlink spec in YAML for NAPI

From: Jakub Kicinski <[email-masked]>
Date: Mon, 31 Jul 2023 17:35:12 -0700

On Mon, 31 Jul 2023 17:24:51 -0700 Nambiar, Amritha wrote:
> >> [{'ifindex': 6},
> >>    {'napi-info': [{'irq': 296,
> >>                    'napi-id': 390,
> >>                    'pid': 3475,
> >>                    'rx-queues': [5],
> >>                    'tx-queues': [5]}]}]  
> > 
> > Dumps can be filtered, I'm saying:
> > 
> > $ netdev.yaml --dump napi-get --json='{"ifindex": 6}'
> >                  ^^^^
> > 
> > [{'napi-id': 390, 'ifindex': 6, 'irq': 296, ...},
> >   {'napi-id': 391, 'ifindex': 6, 'irq': 297, ...}]  
> 
> I see. Okay. Looks like this needs to be supported for "dump dev-get 
> ifindex" as well.

The main thing to focus on for next version is to make the NAPI objects
"flat" and individual, rather than entries in multi-attr nest within
per-netdev object.

I'm 100% sure implementing the filtering by ifindex will be doable as
a follow up so we can defer it.